Bug 192633 - CVE-2006-2444 SNMP NAT netfilter memory corruption
Summary: CVE-2006-2444 SNMP NAT netfilter memory corruption
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Graf
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
Depends On:
Blocks: RHEL3U8MustFix
TreeView+ depends on / blocked
 
Reported: 2006-05-22 08:20 UTC by Marcel Holtmann
Modified: 2014-06-18 08:29 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-07-20 14:09:43 UTC


Attachments (Terms of Use)
proposed patch (912 bytes, patch)
2006-06-20 19:02 UTC, Thomas Graf
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Marcel Holtmann 2006-05-22 08:20:42 UTC
The SNMP NAT helper netfilter can cause a memory corruption. The corruption can
be triggered remotely when the ip_nat_snmp_basic module is loaded and traffic on
port 161 or 162 is NATed.

Proposed upstream fix can be found here:

https://lists.netfilter.org/pipermail/netfilter-devel/2006-May/024422.html

Comment 2 Ernie Petrides 2006-06-14 23:03:20 UTC
Reapplying lost comment from jburke@redhat.com on 2006-06-12 15:14 EST:


Building a test kernel now. Once built I will run the kernel through RHTS.


Comment 3 Jeff Burke 2006-06-14 23:43:36 UTC
The RHTS job has finished but with errors.  The errors are not because of the
kernel. There were power outages in the RDU office that caused the tests to fail.

I will reschedule the RHTS jobs for S390 and ppc. All other arches have passed.

Comment 4 Jeff Burke 2006-06-14 23:47:39 UTC
I am still trying to get the original issue reproduced. 

 It looks like
it can be reproduced with a test tool from MIT:
ftp://ftp.lcs.mit.edu/nets/snmpdk.tar.Z 
http://www.cis.upenn.edu/~davin/snmpdk.html

    I will first verify that I can duplicate the issue. If in fact I
can verify the issue. I will then verify the fix by using the kernel that
is being built through beehive kernel-2.4.21-44.EL.BZ192633.2.src.rpm.



Comment 5 Don Howard 2006-06-15 00:49:46 UTC
java-based version of the snmp test tool available here:
http://www.ee.oulu.fi/research/ouspg/protos/testing/c06/snmpv1

Comment 6 Ernie Petrides 2006-06-15 21:55:36 UTC
Downgrading impact to moderate due to "unlikely configuration".

Comment 11 Thomas Graf 2006-06-20 19:02:34 UTC
Created attachment 131213 [details]
proposed patch

Comment 16 Ernie Petrides 2006-06-21 23:16:20 UTC
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-45.EL).


Comment 19 Red Hat Bugzilla 2006-07-20 14:09:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html



Note You need to log in before you can comment on or make changes to this bug.